<?php 
 date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
	if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  ){
		}else{
			header('location:acceso_denegado.php');
		}


		$hoy=date("d/m/Y");
        $hora=date("H:i:s");



$numcie=$_GET["numcie"];

	   $consulta = "SELECT * FROM cierres WHERE numcie='$numcie'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
       $cdgusu = $row["cdgcaj"];
	   $feccie = $row["feccie"];
	   $fecfin = $row["fecfin"];
							
		$consulta = "SELECT * FROM usuarios  WHERE codusu='$cdgusu' ";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomcomusu = $row["nomcomusu"];
							
					
					  ?>		



<html>

	<head>

		<title>cierres</title>

	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
	<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
     <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
	<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
    <link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
		<script language="javascript">

var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

		
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "formulario"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			

		

		function inicio() {

			document.getElementById("formulario").submit();
			document.getElementById("feccie").select();
		}

		

		function nuevo_tiquete() {

			location.href="nuevo_tiquete.php";

		}

		

		

		

		function buscar() {

			validarcierre();
			
			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			document.getElementById("formulario").submit();

		}

		

		function hacer_cadena_busqueda() {

			var codusu=document.getElementById("codusu").value;

			//var codrut=document.getElementById("codrut").value;

			var feccie=document.getElementById("feccie").value;			

			//var hortiq=document.getElementById("hortiq").value;

			var cadena="";

			cadena="~"+codusu+"~"+feccie+"~";

			return cadena;

			}

			

		function limpiar() {

			document.getElementById("formulario").reset();

		}

	function imprimir() {

			var codcho=document.getElementById("codcho").value;

			var f_date1=document.getElementById("f_date1").value;

			var codrut=document.getElementById("codrut").value;			

			var hortiq=document.getElementById("hortiq").value;

			window.open("../fpdf/cierres.php?codcho="+codcho+"&f_date1="+f_date1+"&codrut="+codrut+"&hortiq="+hortiq);

		}
	
	
		
	jQuery(function($){	
		$("#feccie").mask("99-99-9999");
		});



function validarcierre(){
			
			var feccie=document.getElementById("feccie").value;
			var codusu=document.getElementById("codusu").value;
	
			miPopup = window.open("Comprobar_Cierre.php?feccie="+feccie+"&codusu="+codusu, "frame_datos3","width=900,height=90,scrollbars=yes");

				}
					
			
	
		function Anular_Cierre(numcie) {
			parent.location.href="anular_cierre.php?numcie=" + numcie;
		}	
					
		

	
		</script>



	</head>

	<body onLoad="inicio()">

		<div id="">

			<div id="zonaVentanasCierres">

			<div align="center">
			  <div id="frmBusquedaCC"><form id="formulario" name="formulario" method="post" action="rejilla_eliminar.php" target="frame_rejilla">
			    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					

			    <tr>
                             <?php $hoy=date("d-m-Y");
	 $feccie= implode("-", array_reverse(explode("-", $feccie)));
	 $fecfin= implode("-", array_reverse(explode("-", $fecfin)));?>
					
					
			          <td width="24%" height="43" rowspan="2">&nbsp;</td>
                            <td title="Selecione la Fecha">Fecha </td>
                            <td><?php echo $feccie?></td>
                            <td>Al </td>
                            <td><?php echo $fecfin?></td>
                            <td align="center" valign="middle">Cajero</td>
                            <td><?php echo $cdgusu?></td>
                            <td><?php echo $nomcomusu?></td>
                            <?php $hoy=date("d-m-Y"); ?>
	
	
	    <td width="25%" rowspan="2" title="Selecione el Cajero"><img src="../img/marketimg-ventas.png" width="125" height="127"  border="0" onClick="imprimir()" onMouseOver="style.cursor=cursor" title="Imprimir"/></td>
	 <?php
				
					  ?>
               </tr>
			    <tr>
			      <td colspan="7" title="Selecione la Fecha">&nbsp;</td>
			      </tr>
			    </table>
	      		 <input type="hidden" id="feccie" name="feccie" value="<?php echo $feccie?>">
		          <input type="hidden" id="codusu" name="codusu" value="<?php echo $cdgusu?>">
                  <input type="hidden" id="numcie" name="numcie" value="<?php echo $numcie?>">
                  <input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			  
				</form>

			<br>

				<div id="lineaResultadoCC">
				  <iframe width="100%" height="360px" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer width="100%" height="360px" id="frame_rejilla" name="frame_rejilla"></ilayer>
				  </iframe>
				</div>

				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
				<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
			    </iframe>
                
                	<iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
			  </div>			

	</div>

	</body>

</html>

